﻿using Styx;
using Styx.Common;
using Styx.Helpers;
using Styx.WoWInternals.WoWObjects;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HBProfileGenerator
{
    public class NeokilSettings : Settings
    {
        public static readonly NeokilSettings Current = new NeokilSettings();

        public NeokilSettings()
            : base(Path.Combine(Utilities.AssemblyDirectory,
                    string.Format(@"Plugins/Settings/HBProfileGenerator/Settings-{0}-{1}.xml", StyxWoW.Me.RealmName, StyxWoW.Me.Name)))
        { }
        
        /*[Setting, DefaultValue(false)]
        public bool DeleteDublicates { get; set; }*/

        [Setting, DefaultValue(false)]
        public bool FishingPluginDeleteDublicates { get; set; }
        [Setting, DefaultValue(false)]
        public bool FishingPluginAutoGutAndClean { get; set; }
        [Setting, DefaultValue(null)]
        public uint[] LootFilterPluginRemoveItemEntrys { get; set; }
        [Setting, DefaultValue(null)]
        public uint[] LootFilterPluginUseItemEntrys { get; set; }
    }
}
